package com.yd.rmi.n22.salary.pojo.searchstaffsalarydetails;


import com.fasterxml.jackson.annotation.JsonProperty;
import com.yd.api.result.CommonResult;


import java.util.List;


public class SearchStaffSalaryDetailsResponseBody {

    private CommonResult commonResult;

    private String agent_id;

    private String staffname;

    private String years;

    private String month;

    private List<Commission> FristYearCommissionList;

    private List<Commission> RenewalYearCommissionList;

    private List<Commission> FristYearCoachCommissionList;

    private List<Commission> RenewalYearCoachCommissionList;

    private List<Commission> SpecialManagementCommissionList;

    private List<Commission> RecommendCommissionList;

    private List<RecommendSystemCommission> RecommendSystemCommissionList;

    private List<FirstYearPerformanceCommission> FirstYearPerformanceCommissionList;

    private List<RenewalYearPerformanceCommission> RenewalYearPerformanceCommissionList;

    private List<OtherCommission> OtherCommissionList;

    public SearchStaffSalaryDetailsResponseBody() {
    }

    public CommonResult getCommonResult() {
        return commonResult;
    }

    public void setCommonResult(CommonResult commonResult) {
        this.commonResult = commonResult;
    }

    public String getAgent_id() {
        return agent_id;
    }

    public void setAgent_id(String agent_id) {
        this.agent_id = agent_id;
    }

    public String getStaffname() {
        return staffname;
    }

    public void setStaffname(String staffname) {
        this.staffname = staffname;
    }

    public String getYears() {
        return years;
    }

    public void setYears(String years) {
        this.years = years;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public List<Commission> getFristYearCommissionList() {
        return FristYearCommissionList;
    }
    @JsonProperty("FristYearCommissionList")
    public void setFristYearCommissionList(List<Commission> fristYearCommissionList) {
        FristYearCommissionList = fristYearCommissionList;
    }

    public List<Commission> getRenewalYearCommissionList() {
        return RenewalYearCommissionList;
    }

    @JsonProperty("RenewalYearCommissionList")
    public void setRenewalYearCommissionList(List<Commission> renewalYearCommissionList) {
        RenewalYearCommissionList = renewalYearCommissionList;
    }

    public List<Commission> getFristYearCoachCommissionList() {
        return FristYearCoachCommissionList;
    }
    @JsonProperty("FristYearCoachCommissionList")
    public void setFristYearCoachCommissionList(List<Commission> fristYearCoachCommissionList) {
        FristYearCoachCommissionList = fristYearCoachCommissionList;
    }

    public List<Commission> getRenewalYearCoachCommissionList() {
        return RenewalYearCoachCommissionList;
    }
    @JsonProperty("RenewalYearCoachCommissionList")
    public void setRenewalYearCoachCommissionList(List<Commission> renewalYearCoachCommissionList) {
        RenewalYearCoachCommissionList = renewalYearCoachCommissionList;
    }

    public List<Commission> getSpecialManagementCommissionList() {
        return SpecialManagementCommissionList;
    }
    @JsonProperty("SpecialManagementCommissionList")
    public void setSpecialManagementCommissionList(List<Commission> specialManagementCommissionList) {
        SpecialManagementCommissionList = specialManagementCommissionList;
    }

    public List<Commission> getRecommendCommissionList() {
        return RecommendCommissionList;
    }
    @JsonProperty("RecommendCommissionList")
    public void setRecommendCommissionList(List<Commission> recommendCommissionList) {
        RecommendCommissionList = recommendCommissionList;
    }

    public List<RecommendSystemCommission> getRecommendSystemCommissionList() {
        return RecommendSystemCommissionList;
    }
    @JsonProperty("RecommendSystemCommissionList")
    public void setRecommendSystemCommissionList(List<RecommendSystemCommission> recommendSystemCommissionList) {
        RecommendSystemCommissionList = recommendSystemCommissionList;
    }

    public List<FirstYearPerformanceCommission> getFirstYearPerformanceCommissionList() {
        return FirstYearPerformanceCommissionList;
    }
    @JsonProperty("FirstYearPerformanceCommissionList")
    public void setFirstYearPerformanceCommissionList(List<FirstYearPerformanceCommission> firstYearPerformanceCommissionList) {
        FirstYearPerformanceCommissionList = firstYearPerformanceCommissionList;
    }

    public List<RenewalYearPerformanceCommission> getRenewalYearPerformanceCommissionList() {
        return RenewalYearPerformanceCommissionList;
    }
    @JsonProperty("RenewalYearPerformanceCommissionList")
    public void setRenewalYearPerformanceCommissionList(List<RenewalYearPerformanceCommission> renewalYearPerformanceCommissionList) {
        RenewalYearPerformanceCommissionList = renewalYearPerformanceCommissionList;
    }

    public List<OtherCommission> getOtherCommissionList() {
        return OtherCommissionList;
    }
    @JsonProperty("OtherCommissionList")
    public void setOtherCommissionList(List<OtherCommission> otherCommissionList) {
        OtherCommissionList = otherCommissionList;
    }
}
